> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/changelog/august-2025/august-29/design-configs-for-product-swatches.md).

# Design configs for product swatches

#### What's new

[Product swatches](https://support.ecwid.com/hc/en-us/articles/20309482097948-Adding-swatches-to-products) allow you to add color samples as product options. It is now possible to control the looks of swatches – shape, color, and visibility – with design configs.

#### Changes in API

New design configs allow managing product swatches looks on the storefront.

On product pages, you can control the shape and size of swatches:

* `product_details_swatches_product_option_shape` (`CIRCLE`, `SQUARE`, `ROUNDED_SQUARE`)
* `product_details_swatches_product_option_size` (`SMALL`, `MEDIUM`, `LARGE`)

On catalog pages, you can also enable swatches and choose a different shape:

* `product_list_swatches_product_option_behavior` (`SHOW`, `HIDE`)
* `product_list_swatches_product_option_shape` (`CIRCLE`, `SQUARE`, `ROUNDED_SQUARE`)

This setting can be enabled as a store config (through the <mark style="color:purple;">`PUT`</mark> `/profile` call) or as a design config setting on the storefront by adding JS/HTML code to your website.

#### Documentation links

{% content-ref url="/spaces/aRJpOy0U8IpbjUfcox4D/pages/4HgyJ1Pa96YaityoEIGR" %}
[Design configs](/storefronts/store-configuration-settings/design-configs.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/changelog/august-2025/august-29/design-configs-for-product-swatches.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
